# Jan Sandström (Pixero) 2015

require 'sketchup'
Sketchup::require '3pt_Rectangle/3pt_Rectangle_main'

menu = UI.menu("Extensions").add_submenu("3 point Rectangle")
toolbar = UI::Toolbar.new("3 point Rectangle")

path = File.dirname(__FILE__) + "/3pt_Rectangle/"

cmd = UI::Command.new("3 point Rectangle") { Sketchup.active_model.select_tool JS::Rectangle.new }
cmd.small_icon = cmd.large_icon = path + "3pt_Rectangle.png"
cmd.status_bar_text = "3 point Rectangle"
cmd.tooltip = "3 point Rectangle"
menu.add_item(cmd)
toolbar.add_item(cmd)